/***************************************************************************
                          andtest.cpp  -  description
                             -------------------
    begin                : Wed Oct 22 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "andtest.h"

namespace limpid {

AndTest::AndTest(): CompoundTest() {
}

bool AndTest::test(Node& node) {
  if (!tests_->size()) return false; // fail if there are no tests

  for (Tests::iterator p = tests_->begin(); p!= tests_->end(); p++) {
    Test& tst = **p;
    if (!tst.test(node)) return false;
  }
  return true;
}

}
