/***************************************************************************
                          andtest.h  -  description
                             -------------------
    begin                : Wed Oct 22 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ANDTEST_H
#define ANDTEST_H

#include <vector>
#include "compoundtest.h"

/**
This CompoundTest provides a way to AND the results of a group of Tests.

  @author root <john_redmond@optusnet.com.au>
*/

namespace limpid {
  class AndTest : public CompoundTest  {
  public:
  	AndTest();

    bool test(Node& node);
    AndTest& copy() { return *(new AndTest(*this)); }
  };
}
#endif
