/***************************************************************************
                          attributecontent.h  -  description
                             -------------------
    begin                : Wed Sep 10 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ATTRIBUTECONTENT_H
#define ATTRIBUTECONTENT_H

#include "parentcontent.h"


/**
AttributeContent is a ParentContent and holds the content of an Attr.

  @author root <john_redmond@optusnet.com.au>
*/

namespace limpid {
  class Element;
  class NamedNodeMap;

  class AttributeContent : public ParentContent  {
  public:
  	AttributeContent(const DOMString& name, ParentNode& parent);
    ~AttributeContent();
    size_t getSize();
    Char * namespaceURI_;

  };
}
#endif
