/***************************************************************************
                          attributetest.h  -  description
                             -------------------
    begin                : Sat Aug 16 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ATTRIBUTETEST_H
#define ATTRIBUTETEST_H

#include <iostream>
#include "attr.h"
#include "element.h"
#include "domstring.h"
#include "test.h"

/**
AttributeTest tests for the presence of a specified Attr on an Element.

  @author root <john_redmond@optusnet.com.au>
*/

namespace limpid {
  class AttributeTest : public Test  {
  public:
    AttributeTest(const DOMString& name, const DOMString& value = "");

    bool test(Node& node);
    AttributeTest& copy() { return *(new AttributeTest(*this)); }
  protected:
    DOMString refName, refValue;
    bool matchValue;
  };
}

#endif
