/***************************************************************************
                          charactercontent.cpp  -  description
                             -------------------
    begin                : Wed Sep 10 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "charactercontent.h"
#include "writer.h"

namespace limpid {

CharacterContent::CharacterContent(short nodeType):
  NodeContent(nodeType), data_(0) {}

CharacterContent::CharacterContent(short nodeType, const DOMString& data):
  NodeContent(nodeType), data_(data.copyChars()) {}

CharacterContent::~CharacterContent() {
  delete [] data_;
}

size_t CharacterContent::getSize() {
  size_t size = sizeof(*this);
  if (data_) size += (DOMString::strLength(data_) + 1) * sizeof(Char);
  return size;
}

}
