/***************************************************************************
                          charactercontent.h  -  description
                             -------------------
    begin                : Wed Sep 10 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CHARACTERCONTENT_H
#define CHARACTERCONTENT_H

#include "nodecontent.h"
#include "domstring.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class CharacterContent : public NodeContent  {
  public:
    CharacterContent(short nodeType);
  	CharacterContent(short nodeType, const DOMString& data);
  	~CharacterContent();
    Char *data_;

    size_t getSize();
  };
}
#endif
