/***************************************************************************
                          characterconverter.h  -  description
                             -------------------
    begin                : Wed Jan 14 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CHARACTERCONVERTER_H
#define CHARACTERCONVERTER_H

#include <iostream>
#include <fstream>
#include "definitions.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class CharacterConverter {
  public:
  	CharacterConverter() {}
    virtual ~CharacterConverter() {}
    virtual int get(std::basic_istream<char> *ip) = 0;
    virtual int put(int wchar, std::basic_ostream<char> *output) = 0;
  };
}
#endif
