/***************************************************************************
                          cloner.h  -  description
                             -------------------
    begin                : Sun Nov 23 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CLONER_H
#define CLONER_H

#include "processor.h"
#include "node.h"
#include "pointer.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class Cloner : public Processor  {
  public:
  	Cloner();

    Node& process(Node& node);
    Cloner& copy() { return *(new Cloner(*this)); }

  private:
    Pointer<Node> clone;

  };
}
#endif
