/***************************************************************************
                          comment.h  -  description
                             -------------------
    begin                : Fri Sep 12 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef COMMENT_H
#define COMMENT_H

#include "characterdata.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class Comment : public CharacterData  {

  public:
  	Comment(const DOMString&);
    Comment(const Comment&);
    Comment& operator=(const Comment&);

  //non-DOM
    Node& cloneNode(bool deep = false) const;
    DOMString getDisplayString() const;
  private:
    Comment& copy() { return *(new Comment(*this)); }
  };
}
#endif
