/***************************************************************************
                          commenttemplate.h  -  description
                             -------------------
    begin                : Mon Oct 10 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef COMMENTTEMPLATE_H
#define COMMENTTEMPLATE_H

#include "compoundtemplate.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class XSLContext;

  class CommentTemplate : public Template  {
  public:
  	CommentTemplate();

     bool process(XSLContext& parentContext);
     bool processNode(XSLContext& parentContext, Node&);
     void addTemplate(Template& childTemplate) { templates_.addTemplate(childTemplate); }
     CommentTemplate& copy() { return *(new CommentTemplate(*this)); }

   private:
    CompoundTemplate templates_;
  };
}

#endif
