/***************************************************************************
                          contexthandler.h  -  description
                             -------------------
    begin                : Thu Jul 28 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONTEXTHANDLER_H
#define CONTEXTHANDLER_H


/**
  *@author John Redmond
  */

namespace limpid {
  class XSLContext;
  class ParameterHandler;

  struct ContextHandler {
    ContextHandler(XSLContext& c, XSLContext& pc, ParameterHandler& ph):
      context(c), parentContext(pc), parameterHandler(ph) {}

    XSLContext &context, &parentContext;
    ParameterHandler& parameterHandler;
  };
}

#endif
