/***************************************************************************
                          currentcollector.cpp  -  description
                             -------------------
    begin                : Thu Apr 28 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "currentcollector.h"
#include "boolean.h"
#include "xpathstring.h"
#include "number.h"
#include "nodeset.h"
#include "xpathstring.h"
#include "document.h"
#include "element.h"
#include "stringreader.h"
#include "writer.h"
#include "tokenstream.h"

namespace limpid {

CurrentCollector::CurrentCollector(): NodeSetProcessor() {}

XPathString CurrentCollector::getString(Context& context) {
  NodeSet resultSet = getNodeSet(context);
  return resultSet.getItem(0).getValue();
}

NodeSet CurrentCollector::getNodeSet(Context& context, bool) {
  // exact flag is not used here
  NodeSet resultSet;
  resultSet.addNode(context.getCurrentNode());

  return resultSet;
}

NodeSet CurrentCollector::processNodeSet(NodeSet&, Context& context, bool exact) {
  return getNodeSet(context, exact);
}

}
