/***************************************************************************
                          defaulttemplate.h  -  description
                             -------------------
    begin                : Sun Sep 18 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DEFAULTTEMPLATE_H
#define DEFAULTTEMPLATE_H

#include "template.h"
#include "xslresources.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class XSLContext;
  class Node;

  class DefaultTemplate : public Template  {
  public:
  	DefaultTemplate();

    bool process(XSLContext& parentContext);
    bool processNode(XSLContext& parentContext, Node& node);
    void setResources(XSLResources& resources) { resources_ = resources; }

  private:
    XSLResources resources_;
  };
}

#endif
