/***************************************************************************
                          documentfragment.h  -  description
                             -------------------
    begin                : Fri Oct 10 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DOCUMENTFRAGMENT_H
#define DOCUMENTFRAGMENT_H

#include "parentnode.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class DocumentFragment : public ParentNode  {

  public:
  	DocumentFragment();
    DocumentFragment(const DocumentFragment& refFragment);
    DocumentFragment& operator=(const DocumentFragment& refFragment);

    Node& appendChild(Node& childNode);
    Node& cloneNode(bool deep = false) const;
  protected:
    DocumentFragment& copy() { return *(new DocumentFragment(*this)); }
  };
}
#endif
