/***************************************************************************
                          dtdgetter.h  -  description
                             -------------------
    begin                : Fri Jun 2 2006
    copyright            : (C) 2006 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DTDGETTER_H
#define DTDGETTER_H

#include "documentsource.h"
#include "document.h"
#include "dtdconverter.h"
#include "pointer.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class DTDGetter : public DocumentSource  {
  public:
    DTDGetter(const DOMString& sourceString);

    Document& getDocument();
    DTDGetter& copy() { return *(new DTDGetter(*this)); }

  private:
    Document document_;
    Pointer<DTDConverter> converter_;
  };
}


#endif
