/***************************************************************************
                          dumper.h  -  description
                             -------------------
    begin                : Fri Apr 21 2006
    copyright            : (C) 2006 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DUMPER_H
#define DUMPER_H

#include "processor.h"
#include "node.h"
#include "nodelist.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class Dumper: public Processor {
  public:
    Dumper() {}
    virtual ~Dumper() {}

    virtual Node& process(Node& node) { return node; }
    virtual void setProcessingHTML(bool isHTML) {}
    virtual void update(const DOMString&) {}
    virtual void flush() {}
    Dumper& copy() { return *(new Dumper(*this)); }
  };
}

#endif
