/***************************************************************************
                          entity.h  -  description
                             -------------------
    begin                : Wed Sep 24 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ENTITY_H
#define ENTITY_H

#include "parentnode.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class Entity : public ParentNode  {
  public:
    Entity(const DOMString& name, const DOMString& pubId,
      const DOMString& sysId, const DOMString& notName);
//    Entity(const Entity& refEntity);
//    Entity& operator=(const Entity& refEntity);

//    DOMString getNodeName();
    DOMString getPublicId();
    DOMString getSystemId();
    DOMString getNotationName();

  private:
    Entity& copy() { return *(new Entity(*this)); }
  };
}
#endif
