/***************************************************************************
                          entitycontent.h  -  description
                             -------------------
    begin                : Wed Sep 24 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ENTITYCONTENT_H
#define ENTITYCONTENT_H

#include "parentcontent.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class EntityContent : public ParentContent  {
  public:
    EntityContent(const DOMString& name, const DOMString& pubId,
      const DOMString& sysId, const DOMString& notName, ParentNode& parent);
  	~EntityContent();
    Char *publicId_, *systemId_, *notationName_;

    size_t getSize();

   private:
    void deleteContent();
  };
}
#endif
