/***************************************************************************
                          entitywriter.h  -  description
                             -------------------
    begin                : Mon Sep 6 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ENTITYWRITER_H
#define ENTITYWRITER_H
/*
#include <string>
#include <iostream>
#include <fstream>
#include "node.h"
#include "domstring.h"
*/
#include "writer.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class EntityWriter : public Writer {
  public:
    EntityWriter();
    EntityWriter(URL& url, Encoding encoding = UTF8);

    EntityWriter& copy() { return *(new EntityWriter(*this)); }

  private:
    void writeDeclaration(Encoding encoding);
  };
}

#endif
