/***************************************************************************
                          errorhandler.cpp  -  description
                             -------------------
    begin                : Sun Aug 28 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <cstdlib>
#include "errorhandler.h"
#include "writer.h"
#include "node.h"
#include "domstring.h"

namespace limpid {

ErrorHandler::ErrorHandler() {}

void ErrorHandler::report(Node& node, const DOMString& text, bool doexit) {
  wrt::Errors << "ERROR line " << node.getPosition() << " " << text <<
    " in " << node << wrt::endl;
  if (doexit) exit(1);
}

}
