/***************************************************************************
                          errorhandler.h  -  description
                             -------------------
    begin                : Sun Aug 28 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ERRORHANDLER_H
#define ERRORHANDLER_H


/**
  *@author John Redmond
  */

namespace limpid {
  class Node;
  class DOMString;

  class ErrorHandler {
  public:
  	ErrorHandler();

    static void report(Node& node, const DOMString& text, bool doexit = false);
  };
}

#endif
