/***************************************************************************
                          expr.cpp  -  description
                             -------------------
    begin                : Fri Nov 19 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "expr.h"
#include "writer.h"

namespace limpid {

Expr::Expr(): xpathExpression_(new XPathExpression) {}

Expr::Expr(const XPathExpression& expression):
      xpathExpression_(&const_cast<XPathExpression &>(expression).copy()) {}

}
