/***************************************************************************
                          exprtest.h  -  description
                             -------------------
    begin                : Thu Jan 20 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef EXPRTEST_H
#define EXPRTEST_H

#include "test.h"
#include "expr.h"
#include "context.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class ExprTest : public Test  {
  public:
  	ExprTest(bool exact = true);
  	ExprTest(Expr& expr, bool exact = true);

    bool test(Node& node);
    ExprTest& copy() { return *(new ExprTest(*this)); }

  private:
    Expr expr_;
    Context context_;
    bool exact_;
  };
}

#endif
