/***************************************************************************
                          finder.h  -  description
                             -------------------
    begin                : Mon Jan 26 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FINDER_H
#define FINDER_H

#include "domstring.h"
#include "document.h"
#include "nodeset.h"

/**
  *@author John Redmond
  */

namespace limpid {

  class Finder {
  public:
    Finder(const DOMString& src);

    NodeSet find(const DOMString& src);

    Document& getDocument() { return document_; }
    void display();

   protected:
    Document document_;
    NodeSet nodeSet_;
  };
}
#endif
