/***************************************************************************
                          formattemplate.cpp  -  description
                             -------------------
    begin                : Sat Jan 8 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "formattemplate.h"

namespace limpid {

FormatTemplate::FormatTemplate(bool nest): nest_(nest) {
}

XPathString FormatTemplate::getString(XSLContext&) {
  return "";
}

bool FormatTemplate::process(XSLContext& parentContext) {
  if (nest_) nest(parentContext);
  else deNest(parentContext); return true;
}

}
