/***************************************************************************
                          formattemplate.h  -  description
                             -------------------
    begin                : Sat Jan 8 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FORMATTEMPLATE_H
#define FORMATTEMPLATE_H

#include "template.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class FormatTemplate : public Template  {
  public:
  	FormatTemplate(bool nest);

    XPathString getString(XSLContext& parentContext);
    bool process(XSLContext& parentContext);
    bool processNode(XSLContext& parentContext, Node&) { return process(parentContext); }
    FormatTemplate& copy() { return *(new FormatTemplate(*this)); }

  private:
    bool nest_;
  };
}


#endif
