/***************************************************************************
                          keyspecs.h  -  description
                             -------------------
    begin                : Mon Aug 1 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KEYSPECS_H
#define KEYSPECS_H

#include "domstring.h"
#include "expr.h"

/**
  *@author John Redmond
  */

namespace limpid {
  struct KeySpecs {
  public:
  	KeySpecs(const DOMString& mtch, const DOMString& u): match(mtch), use(u) {}
    DOMString match, use;
  };
}

#endif
