/***************************************************************************
                          mutator.cpp  -  description
                             -------------------
    begin                : Wed Mar 8 2006
    copyright            : (C) 2006 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "mutator.h"
#include "writer.h"

namespace limpid {
  
Mutator::Mutator(const DOMString& xslDocumentPath):
  styleSheet_(new StyleSheet(xslDocumentPath, true)) {}

Document& Mutator::processDocument(Document& inputDocument) {
  document_ = styleSheet_->buildDocument(inputDocument);
  return document_;
}

}
