/***************************************************************************
                          mutator.h  -  description
                             -------------------
    begin                : Wed Mar 8 2006
    copyright            : (C) 2006 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LIMPIDMUTATOR_H
#define LIMPIDMUTATOR_H

#include "documentprocessor.h"
#include "stylesheet.h"
#include "pointer.h"

/**
  *@author John Redmond
  */

namespace limpid  {
  class DOMString;
  
  class Mutator: public DocumentProcessor  {
  public:
  	Mutator(const DOMString& xslFileName);

    Document& processDocument(Document& inputDocument);
    void update(const DOMString&) {}
    Mutator& copy() { return *(new Mutator(*this)); }

  private:
    Pointer<StyleSheet> styleSheet_;
    Document document_;
  };
}


#endif
