/***************************************************************************
                          nametest.h  -  description
                             -------------------
    begin                : Wed Oct 22 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NAMETEST_H
#define NAMETEST_H

#include "test.h"
#include "domstring.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class NameTest : public Test  {
  public:
  	NameTest(const DOMString& name);
    bool test(Node& node);
    NameTest& copy() { return *(new NameTest(*this)); }

  protected:
    DOMString refPrefix_, refName_;
    bool hasPrefix_;
  };
}
#endif
