/***************************************************************************
                          nodesource.h  -  description
                             -------------------
    begin                : Sat May 10 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NODESOURCE_H
#define NODESOURCE_H

#include "copied.h"
#include "node.h"

/**
  *@author John Redmond
  */

namespace limpid {

  class NodeSource: public Copied {
  public:
    NodeSource() {}

    virtual Node& nextNode() { return Node::failNode; }
    virtual void setRoot(const Node&) {};
    NodeSource& copy() { return *(new NodeSource(*this)); }
  };

}

#endif
