/***************************************************************************
                          ortest.cpp  -  description
                             -------------------
    begin                : Wed Oct 22 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "ortest.h"

namespace limpid {

OrTest::OrTest(): CompoundTest() {
}

bool OrTest::test(Node& node) {
  for (Tests::iterator p = tests_->begin(); p!= tests_->end(); p++) {
    Test& tst = **p;
    if (tst.test(node)) return true;
  }
  return false;
}

}
