/***************************************************************************
                          parameterhandler.h  -  description
                             -------------------
    begin                : Thu Jul 21 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PARAMETERHANDLER_H
#define PARAMETERHANDLER_H

#include <map>
#include "pointer.h"
#include "expr.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class XSLContext;
  class ExpressionMap;

  class ParameterHandler {
  public:
  	ParameterHandler(XSLContext& context);

    void resolveParameters(const ExpressionMap& passedParameters,
      const ExpressionMap& defaultParameters);

  private:
    XSLContext* context_; // not managed
  };
}

#endif
