/***************************************************************************
                          parentcontent.h  -  description
                             -------------------
    begin                : Wed Sep 10 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PARENTCONTENT_H
#define PARENTCONTENT_H

#include "namedcontent.h"
#include "nodelist.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class ParentNode;
  class NodeList;

  class ParentContent : public NamedContent  {
  public:
  	ParentContent(short nodeType, const DOMString& name, ParentNode& parent);
  	~ParentContent();

    size_t getSize();
    ParentNode* ownerNode_;
    NodeList *childNodes_;
  };
}
#endif
