/***************************************************************************
                          predicate.h  -  description
                             -------------------
    begin                : Mon May 10 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREDICATE_H
#define PREDICATE_H

#include "nodesetprocessor.h"
#include "context.h"
#include "node.h"
#include "nodelist.h"
//#include "contexttest.h"
#include "parentcomponent.h"
#include "pointer.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class Predicate: public NodeSetProcessor {
  public:
  	Predicate(Expr& expr);

    NodeSet processNodeSet(NodeSet& nodeSet, Context& ctext, bool);
    Expr eval(Context& context);

    Predicate& copy() { return *(new Predicate(*this)); }

  protected:
    Expr expr_;
  };
}

#endif
