/***************************************************************************
                          processor.h  -  description
                             -------------------
    begin                : Tue Mar 18 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PROCESSOR_H
#define PROCESSOR_H

#include <iostream>
#include "copied.h"
#include "node.h"
#include "nodelist.h"
#include "writer.h"
/**
  *@author John Redmond
  */

namespace limpid {
  class Processor: public Copied  {
  public:
    Processor(): name_("processor") {}

    virtual Node& process(Node& node) {
      wrt::Errors << "NULL PROC " << node.getNodeName() << wrt::endl;
      return node; }
    virtual void start() {}
    virtual void finish() {}
    DOMString& getName() { return name_; }

    Processor& copy() { return *(new Processor(*this)); }

  protected:
    DOMString name_;
  };
}
#endif
