/***************************************************************************
                          saver.h  -  description
                             -------------------
    begin                : Tue Jun 6 2006
    copyright            : (C) 2006 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SAVER_H
#define SAVER_H

#include "processor.h"
#include "node.h"
#include "expr.h"
#include "context.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class Saver: public Processor  {
  public:
    Saver(const DOMString& destPath);

    Node& process(Node& node);
    void finish();
    Saver& copy() { return *(new Saver(*this)); }

  private:
    DOMString destPath_;
    Document *parentDocument_;  // unmanaged

  };
}
#endif
