/***************************************************************************
                          sorter.cpp  -  description
                             -------------------
    begin                : Sat Jan 29 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "sorter.h"
#include "positionsorterpolicy.h"

namespace limpid {

Sorter::Sorter(): sorterPolicy_(new PositionSorterPolicy) {
}

Sorter::Sorter(SorterPolicy& sorterPolicy): sorterPolicy_(&sorterPolicy.copy()) {
}

void Sorter::setPolicy(SorterPolicy& sorterPolicy) {
  sorterPolicy_ = &sorterPolicy.copy();
}

}

