/***************************************************************************
                          transformer.h  -  description
                             -------------------
    begin                : Thu Feb 10 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TRANSFORMER_H
#define TRANSFORMER_H

#include "stylesheet.h"
#include "domstring.h"


/**
  *@author John Redmond
  */

namespace limpid {
  class DOMString;

  class Transformer {
  public:
    Transformer(const DOMString& configPath, bool isBuilding = true);

    void transform(const DOMString& sourcePath);
    void transform(const DOMString& sourcePath, const DOMString& outputPath);

  private:
    StyleSheet styleSheet_;
  };
}

#endif
