/***************************************************************************
                          variablesettemplate.cpp  -  description
                             -------------------
    begin                : Tue Dec 7 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "variablesettemplate.h"
#include "xpathfactory.h"
#include "element.h"
#include "liststream.h"

namespace limpid {

VariableSetTemplate::VariableSetTemplate(DOMString& keyString,
    Expr& expr): Template(keyString), expr_(expr) {}

bool VariableSetTemplate::process(XSLContext& parentContext) {
  if (expr_.isValid())
    parentContext.setVariable(matchValue_, expr_.eval(parentContext));

  return true;
}

}
