/***************************************************************************
                          variablesettemplate.h  -  description
                             -------------------
    begin                : Tue Dec 7 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef VARIABLESETTEMPLATE_H
#define VARIABLESETTEMPLATE_H

#include <vector>
#include "template.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class VariableSetTemplate : public Template  {
  public:
  	VariableSetTemplate(DOMString& keyString, Expr& expr);

    bool process(XSLContext& parentContext);
    bool processNode(XSLContext& parentContext, Node&) { return process(parentContext); }

    void addExpr(const Expr& expr);
    VariableSetTemplate& copy() { return *(new VariableSetTemplate(*this)); }

  private:
    Expr expr_;
  };
}


#endif
