/***************************************************************************
                          xpathexpression.cpp  -  description
                             -------------------
    begin                : Fri Nov 19 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "xpathexpression.h"
#include "boolean.h"
#include "xpathstring.h"
#include "number.h"
#include "nodeset.h"
#include "expr.h"

namespace limpid {

XPathExpression::XPathExpression() {}

Boolean XPathExpression::getBoolean(Context&) {
wrt::Console << "Base class BOOL: " << wrt::endl;
  return false; }

XPathString XPathExpression::getString(Context&) {
wrt::Console << "Base class STR: " << wrt::endl;
  return ""; }

Number XPathExpression::getNumber(Context&) {
wrt::Console << "Base class NUMBER: " << wrt::endl;
  return 0; }

NodeSet XPathExpression::getNodeSet(Context&, bool) {
wrt::Console << "Base class SET: " << wrt::endl;
  return NodeSet(); }

Expr XPathExpression::eval(Context&) {
  return *this;
}

}

