/***************************************************************************
                          attributespec.cpp  -  description
                             -------------------
    begin                : Thu Jan 8 2004
    copyright            : (C) 2004 by John Redmond
    email                : Jjohn_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include "attributespec.h"

namespace limpid {

AttributeSpec::AttributeSpec(DOMString& defVal):
      type(STRING), required(false), fixed(false), defaultValue(defVal) {
}

AttributeSpec::~AttributeSpec() {
}

size_t AttributeSpec::getSize() const {
  size_t size = sizeof(*this);

  Enumeration::iterator p = enumeration.begin();
  while (p != enumeration.end()) {
    DOMString item = *p;
    size += item.getSize();
    ++p;
  }
  return size;
}

}
