/***************************************************************************
                          cdatasection.h  -  description
                             -------------------
    begin                : Sat May 3 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CDATASECTION_H
#define CDATASECTION_H

#include "text.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class CDATASection : public Text {
  public:
  	CDATASection(const DOMString& s);
    CDATASection(const CDATASection& refNode);
    Node& operator=(const CDATASection& refNode);

  //non-DOM:
    DOMString getDisplayString() const;
    Node& cloneNode(bool deep = false) const;

  private:
    CDATASection();
    CDATASection& copy() { return *(new CDATASection(*this)); }
  };
}
#endif
