/***************************************************************************
                          characterreader.h  -  description
                             -------------------
    begin                : Thu Jun 9 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CHARACTERREADER_H
#define CHARACTERREADER_H

#include "copied.h"
#include "iobase.h"
#include "domstring.h"
#include "writer.h"
#include "url.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class CharacterReader: public Copied, public IOBase {
    public:
     CharacterReader() {}
     CharacterReader(const DOMString& src) {}

     virtual void setEncoding(Encoding) {}
     virtual int nextChar() { return -1; }
     virtual void unget() {};
     virtual bool isValid() { return false; }
     virtual URL getURL() { return URL(); }
     virtual CharacterReader& copy() { return *(new CharacterReader(*this)); }
  };
}

#endif
