/***************************************************************************
                          cloneparser.h  -  description
                             -------------------
    begin                : Thu Jun 8 2006
    copyright            : (C) 2006 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CLONEPARSER_H
#define CLONEPARSER_H

#include "parser.h"
#include "nodesource.h"
#include "pointer.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class CloneParser : public Parser  {

  public:
  	CloneParser(NodeSource& nodeSource, bool deep = false);

    Node& nextNode();

  private:
    Pointer<NodeSource> nodeSource_;
    Pointer<Node> node_;
    bool deep_;
  };
}

#endif
