/***************************************************************************
                          compoundtest.h  -  description
                             -------------------
    begin                : Sat Apr 10 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef COMPOUNDTEST_H
#define COMPOUNDTEST_H


#include <vector>
#include "test.h"
#include "pointer.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class CompoundTest: public Test {
  public:
  	CompoundTest();

    virtual bool test(Node&) { return true; }
    CompoundTest& addTest(Test& test);
    CompoundTest& copy() { return *(new CompoundTest(*this)); }

  protected:
    typedef Pointer<Test> TestPointer;
    typedef std::vector<TestPointer> Tests;

    Pointer<Tests> tests_;
  };
}

#endif
