/***************************************************************************
                          copyoftemplate.h  -  description
                             -------------------
    begin                : Sat Jan 15 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef COPYOFTEMPLATE_H
#define COPYOFTEMPLATE_H

#include "template.h"
#include "expr.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class Node;
  class DOMString;

  class CopyOfTemplate : public Template  {
  public:
  	CopyOfTemplate(const DOMString& selectString);

    bool process(XSLContext& parentContext);
    bool processNode(XSLContext& parentContext, Node& node);
    CopyOfTemplate& copy() { return *(new CopyOfTemplate(*this)); }

  private:
    Expr expr_;

  };
}

#endif
