/***************************************************************************
                          definitions.h  -  description
                             -------------------
    begin                : Tue Jul 1 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _LIMPID_DEFINITIONS
#define _LIMPID_DEFINITIONS

//#define _WINDOWS_   // uncomment this line if you are compiling for win32

#ifdef _WINDOWS_
    #define FAILCHAR 65535
    #define ConsoleStream std::wcout
    #define ErrorStream std::wcerr
    #define EndString "\r\n"
    #define SeparatorChar '\\'

    typedef wchar_t Char;   // use an unsigned short for Char
#else
//    #define _NARROW_    // uncomment this line if you want only ASCII characters
    #define FAILCHAR -1
    #define ConsoleStream std::cout
    #define ErrorStream std::cerr
    #define EndString "\n"
    #define SeparatorChar '/'

    #ifdef _NARROW_
        typedef char Char;
    #else
        typedef wchar_t Char; // use a signed integer for Char
    #endif
#endif


#endif
