/***************************************************************************
                          documentprocessor.h  -  description
                             -------------------
    begin                : Thu Mar 2 2006
    copyright            : (C) 2006 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DOCUMENTPROCESSOR_H
#define DOCUMENTPROCESSOR_H

#include "copied.h"
#include "document.h"
#include "writer.h"

/**
  *@author John Redmond
  */

namespace limpid {  
  class DocumentProcessor: public Copied {
  public:
    virtual Document& processDocument(Document&) {
    return Document::failDocument; }
    virtual void update(const DOMString&) {}
    virtual void start() {}
    virtual void finish() {}
    virtual DocumentProcessor& copy() { return *(new DocumentProcessor(*this)); }

  protected:
    DocumentProcessor() {}
  };
}

#endif
