/***************************************************************************
                          documentsource.h  -  description
                             -------------------
    begin                : Thu Mar 2 2006
    copyright            : (C) 2006 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DOCUMENTSOURCE_H
#define DOCUMENTSOURCE_H

#include "copied.h"
#include "document.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class DOMString;
  
  class DocumentSource: public Copied {
  public:
  	DocumentSource() {}
    virtual Document& getDocument() { return Document::failDocument; }
    virtual void update(const DOMString&) {}
    DocumentSource& copy() { return *(new DocumentSource(*this)); }
  };
}


#endif
