/***************************************************************************
                          elementcontent.h  -  description
                             -------------------
    begin                : Wed Sep 10 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ELEMENTCONTENT_H
#define ELEMENTCONTENT_H

#include "parentcontent.h"
#include "namednodemap.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class ElementContent : public ParentContent  {
  public:
  	ElementContent(const DOMString&, ParentNode& parent);
  	~ElementContent();
    size_t getSize();
    NamedNodeMap* attributes_;

  };
}
#endif
