/***************************************************************************
                          endcontent.cpp  -  description
                             -------------------
    begin                : Mon Oct 6 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "endcontent.h"
#include "node.h"

namespace limpid {

EndContent::EndContent(const DOMString& nodeName):
      NamedContent(Node::END_NODE), startNode_(0) {
  setName(nodeName);
  hasNonTextChildren_ = false;
}

EndContent::~EndContent() {
}

}
