/***************************************************************************
                          endcontent.h  -  description
                             -------------------
    begin                : Mon Oct 6 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ENDCONTENT_H
#define ENDCONTENT_H

#include "namedcontent.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class ParentNode;

  class EndContent : public NamedContent  {
  public:
    EndContent(const DOMString& nodeName);
  	~EndContent();

    bool hasNonTextChildren_;
    Node *startNode_;
  };
}
#endif
