/***************************************************************************
                          exprtest.cpp  -  description
                             -------------------
    begin                : Thu Jan 20 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "exprtest.h"

#include "context.h"

namespace limpid {

ExprTest::ExprTest(bool exact): exact_(exact) {}

ExprTest::ExprTest(Expr& expr, bool exact): expr_(expr), exact_(exact) {
}

bool ExprTest::test(Node& node) {
  if (node.getNodeType() == Node::DOCUMENT_NODE) return false;
  context_.setNode(node);
  return expr_.getNodeSet(context_, exact_).getLength();
}

}
