/***************************************************************************
                          idgenerator.h  -  description
                             -------------------
    begin                : Mon May 9 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef IDGENERATOR_H
#define IDGENERATOR_H

#include "nodesetprocessor.h"
#include "xpathstring.h"
#include "nodeset.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class IDGenerator : public XPathExpression  {
  public:
  	IDGenerator();

    XPathString getString(Context& context);
    Expr eval(Context& context) { return getString(context); }
    bool isValid() { return true; }
    IDGenerator& copy() { return *(new IDGenerator(*this)); }

  };
}

#endif
