/***************************************************************************
                          iobase.cpp  -  description
                             -------------------
    begin                : Sun Sep 4 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "iobase.h"

namespace limpid {

DOMString IOBase::getEncodingString(Encoding encoding) {
  if (encoding == UTF8) return "UTF-8";
  else if (encoding == UTF16) return "UTF-16";
  else if (encoding == UTF16BE) return "UTF-16";
  else if (encoding == UTF16LE) return "UTF-16LE";
  else return "";
}

IOBase::Encoding IOBase::getEncoding(DOMString encodingString) {
  encodingString.toUpperCase();

  if (encodingString == "UTF-8") return UTF8;
  else if (encodingString == "UTF-16") return UTF16;
  else if (encodingString == "UTF-16BE") return UTF16;
  else if (encodingString == "UTF-16LE") return UTF16LE;
  else return UTF8;
}

}
