/***************************************************************************
                          iobase.h  -  description
                             -------------------
    begin                : Sun Sep 4 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef IOBASE_H
#define IOBASE_H

#include "domstring.h"
#include "definitions.h"

/**
  *@author John Redmond
  */
namespace limpid {
  class IOBase {
  public:
    enum Protocol {CONSOLE, ERRORS, FILE, HTTP, FTP, STRING};
    enum Encoding { UTF8, UTF16, UTF16BE, UTF16LE };
    IOBase() {}
    virtual ~IOBase() {}

    static DOMString getEncodingString(Encoding encoding);
    static Encoding getEncoding(DOMString encodingString);
  };
}


#endif
