/***************************************************************************
                          messagetemplate.cpp  -  description
                             -------------------
    begin                : Mon Jan 17 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "messagetemplate.h"
#include <cstdlib>

namespace limpid {

MessageTemplate::MessageTemplate(bool terminate):
    errorWriter_(new Writer), terminate_(terminate) {
}

bool MessageTemplate::process(XSLContext& parentContext) {
  XSLContext context = parentContext;
  context.setWriter(*errorWriter_);

  templates_.process(context);

  if (terminate_) exit(1);
  return true;
}

}
