/***************************************************************************
                          namecontent.h  -  description
                             -------------------
    begin                : Mon Aug 11 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NAMECONTENT_H
#define NAMECONTENT_H

#include "definitions.h"
#include "domstring.h"
#include "nodecontent.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class NamedContent: public NodeContent {
  public:
  	NamedContent(short);
  	NamedContent(short, const DOMString& name);
  	~NamedContent();
    size_t getSize();
    Char *nodeName_, *prefix_;

    void setName(const DOMString& name);
  };
}
#endif
