/***************************************************************************
                          NodeContent.cpp  -  description
                             -------------------
    begin                : Tue May 27 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "nodecontent.h"

namespace limpid {

NodeContent::NodeContent(short type): refCount_(1), position_(0),
      nodeType_(type), readOnly_(0), specified_(1), isParent_(0),
      documentContent_(0), parentContent_(0),
      previousSibling_(0), nextSibling_(0)  {
}

NodeContent::~NodeContent() {}

}
