/***************************************************************************
                          nodesetcounter.h  -  description
                             -------------------
    begin                : Fri Jun 18 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NODESETCOUNTER_H
#define NODESETCOUNTER_H

#include "parentcomponent.h"
#include "boolean.h"
#include "xpathstring.h"
#include "number.h"
#include "domstring.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class NodeSetCounter : public ParentComponent  {
  public:
  	NodeSetCounter();

    Boolean getBoolean(Context& context);
    XPathString getString(Context& context);
    Number getNumber(Context& context);
    NodeSetCounter& copy() { return *(new NodeSetCounter(*this)); }
  };
}

#endif
