/***************************************************************************
                          nodetest.h  -  description
                             -------------------
    begin                : Thu Jan 20 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NODETEST_H
#define NODETEST_H

#include "test.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class NodeTest : public Test  {
  public:
  	NodeTest(Node& refNode);

    bool test(Node& node);
    NodeTest& copy() { return *(new NodeTest(*this)); }

  private:
    int refType_;
    DOMString refName_, refNamespace_;

    DOMString getNodeName(Element& element);
  };
}

#endif
