/***************************************************************************
                          nottest.h  -  description
                             -------------------
    begin                : Thu Oct 23 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NOTTEST_H
#define NOTTEST_H

#include "test.h"
#include "pointer.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class NotTest : public Test  {
  public:
    NotTest(Test& tst): test_(&tst.copy()) {}

    bool test(Node& node) { return !test_->test(node); }
    NotTest& copy() { return *(new NotTest(*this)); }

  protected:
    Pointer<Test> test_;
  };
}
#endif
