/***************************************************************************
                          numberstyler.h  -  description
                             -------------------
    begin                : Fri May 6 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NUMBERSTYLER_H
#define NUMBERSTYLER_H

#include "parentcomponent.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class Context;
  class DOMString;

  class NumberStyler : public ParentComponent  {
  public:
  	NumberStyler();

    Boolean getBoolean(Context& context);
    XPathString getString(Context& context);
    Number getNumber(Context& context);
    Expr eval(Context& context) { return getString(context); }

    NumberStyler& copy() { return *(new NumberStyler(*this)); }
  };
}


#endif
