/***************************************************************************
                          parentcomponent.cpp  -  description
                             -------------------
    begin                : Mon May 10 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "parentcomponent.h"
#include "boolean.h"
#include "xpathstring.h"
#include "number.h"
#include "context.h"
#include "writer.h"


namespace limpid {

ParentComponent::ParentComponent(): components(new ComponentList) {
}

void ParentComponent::appendChild(XPathExpression& child) {
  components->push_back(XPEPointer(&child.copy()));
}

}
