/***************************************************************************
                          processinginstructioncontent.h  -  description
                             -------------------
    begin                : Fri Sep 12 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PROCESSINGINSTRUCTIONCONTENT_H
#define PROCESSINGINSTRUCTIONCONTENT_H

#include "node.h"
#include "nodecontent.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class ProcessingInstructionContent : public NodeContent  {
  public:
  	ProcessingInstructionContent(const DOMString& target, const DOMString& data);
  	~ProcessingInstructionContent();
    size_t getSize();
    Char *target_, *data_;
  };
}
#endif
