/***************************************************************************
                          siblingstream.h  -  description
                             -------------------
    begin                : Fri Dec 19 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SIBLINGSTREAM_H
#define SIBLINGSTREAM_H

#include "nodesource.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class SiblingStream : public NodeSource  {
  public:
  	SiblingStream(bool forwd = true);
  	SiblingStream(Node& root, bool forwd = true);

    Node& nextNode();
    void setRoot(const Node& root);
    SiblingStream& copy() { return *(new SiblingStream(*this)); }

  private:
    bool forward;
    Node *currentNode;
  };
}
#endif
