/***************************************************************************
                          sorttemplate.cpp  -  description
                             -------------------
    begin                : Sun Jan 30 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "sorttemplate.h"
#include "sorter.h"
#include "xpathfactory.h"

namespace limpid {

SortTemplate::SortTemplate(const DOMString& selectString, const DOMString& typeString,
        const DOMString& orderString): Template(selectString),
        sorter_(new ExpressionSorter(selectString, typeString, orderString)) {}

bool SortTemplate::process(XSLContext& context) {
// context has node set and access to variables and parameters
   sorter_->process(context);
   return true;
}

}
