/***************************************************************************
                          stripper.h  -  description
                             -------------------
    begin                : Fri Mar 31 2006
    copyright            : (C) 2006 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef STRIPPER_H
#define STRIPPER_H

#include "documentprocessor.h"
#include "element.h"

/**
  *@author John Redmond
  */

namespace limpid {    
  class Stripper : public DocumentProcessor  {
  public:
  	Stripper(bool keepTags = false);

    Document& processDocument(Document& document);
    void update(const DOMString&) {}
    Stripper& copy() { return *(new Stripper(*this)); }

  private:
    bool keepTags_;
    Document document_;
    Element root_;
  };
}


#endif
