/***************************************************************************
                          template.cpp  -  description
                             -------------------
    begin                : Tue Sep 28 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "template.h"
#include "xslcontext.h"
#include "xslresources.h"

namespace limpid {

Template::Template(): priority_(-10), valid_(false),
    hasText_(false), isText_(false),
    previousTemplate_(0), nextTemplate_(0) {}

Template::Template(const DOMString& matchValue):
  matchValue_(matchValue), priority_(-10), valid_(true),
  hasText_(false), isText_(false),
  previousTemplate_(0), nextTemplate_(0) {}

Template Template::failTemplate;

}
