/***************************************************************************
                          transformer.cpp  -  description
                             -------------------
    begin                : Thu Feb 10 2005
    copyright            : (C) 2005 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "transformer.h"

namespace limpid {

Transformer::Transformer(const DOMString& configPath, bool isBuilding):
    styleSheet_(configPath, isBuilding) {}

void Transformer::transform(const DOMString& sourcePath) {
  styleSheet_.transform(sourcePath);
}

void Transformer::transform(const DOMString& sourcePath, const DOMString& outputPath) {
  styleSheet_.transform(sourcePath, outputPath);
}

}

