/***************************************************************************
                          typetest.h  -  description
                             -------------------
    begin                : Wed Oct 22 2003
    copyright            : (C) 2003 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TYPETEST_H
#define TYPETEST_H

#include "test.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class TypeTest : public Test  {
  public:
  	TypeTest(Node::NodeType type);
    // rule of three OK

    bool test(Node& node) { return node.getNodeType() == refType_; }
    TypeTest& copy() { return *(new TypeTest(*this)); }
  protected:
    Node::NodeType refType_;
  };
}
#endif
