/***************************************************************************
                          xmldeclarationcontent.h  -  description
                             -------------------
    begin                : Fri Mar 19 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef XMLDECLARATIONCONTENT_H
#define XMLDECLARATIONCONTENT_H

#include "processinginstructioncontent.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class XMLDeclarationContent : public ProcessingInstructionContent  {
    friend class XMLDeclaration;
    friend class HTMLDeclaration;

  public:
  	XMLDeclarationContent(const DOMString& version, const DOMString& enc,
      const DOMString& alone);
  	~XMLDeclarationContent();
  protected:
    Char *version_, *encoding_, *standalone_;
  };
}

#endif
