/***************************************************************************
                          xpathfactory.h  -  description
                             -------------------
    begin                : Sat Jun 12 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef XPATHFACTORY_H
#define XPATHFACTORY_H

#include "domstring.h"
#include "expr.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class XPathFactory {
  public:
  	XPathFactory();

    static Document getDocument(const DOMString& pathString, bool verbose = false);
    static void reverseDocument(Document& document, bool verbose = false);

    static Expr getExpr(const DOMString& pathStr, bool verbose = false);
    static Expr getReverseExpr(const DOMString& pathStr, bool verbose = false);
  };
}

#endif
