/***************************************************************************
                          xpathreverser.h  -  description
                             -------------------
    begin                : Sat Oct 16 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef XPATHREVERSER_H
#define XPATHREVERSER_H

#include "document.h"
#include "node.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class XPathReverser {
  public:
  	XPathReverser();

    void reverse(Document& document);

  private:
    Element getReverse(Node& node);
    void reverseSingle(Node& node);
    DOMString getReverseAxis(DOMString axisName);
    bool isWithinPredicate(Node& node);
    void reverseFunctionCall(Element& expressionElement);
  };
}


#endif
