/***************************************************************************
                          xslutility.h  -  description
                             -------------------
    begin                : Wed Nov 17 2004
    copyright            : (C) 2004 by John Redmond
    email                : john_redmond@optusnet.com.au
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef XSLUTILITY_H
#define XSLUTILITY_H

#include "domstring.h"

/**
  *@author John Redmond
  */

namespace limpid {
  class Node;
  class Element;
  class Attr;

  class XSLUtility {
  public:
  	XSLUtility();

    static DOMString xslNamespace;
    static bool isXSLElement(Node& node);
    static bool isXSLAttribute(Node& node);
    static Attr& getXSLAttribute(Element& element, DOMString& name);
    static DOMString getNodeName(Element& element);
    static DOMString getEndString(Element& element);
    static DOMString getPrefix(DOMString& qname);
  };
}


#endif
